
#include <GL/glew.h>
#include <stdio.h>
#include "iglu.h"

class SimpleModelDisplay : public iglu::IGLUDisplayMode {
public:
	SimpleModelDisplay() : IGLUDisplayMode() {}
	virtual ~SimpleModelDisplay() {}

	virtual void Initialize( int trackNum );
	virtual void Display();

	virtual const char *GetWindowTitle( void )     
	{ 
		return "IGLU Model Load & Display"; 
	}
	virtual const char *GetHelpDescriptor( void )  
	{ 
		return "IGLU has a built-in model readers for OBJ formatted geometry.  "
			   "This display mode loads a model and allows you to interact with "
			   "it in a very simple way using a trackball manipulator." ; 
	}

private:

};